%define name        mysql-connector-java
%define version     3.0.8
%define tarversion	%{version}-stable
%define release     1jpp
%define builddir	build-mysql-jdbc
%define distdir		dist-mysql-jdbc

Summary: 	Official JDBC driver for MySQL
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Epoch:		0
License: 	GPL
Group: 		Development/Libraries
Distribution:	JPackage
Vendor:		JPackage Project
Source: 	%{name}-%{tarversion}.tar.gz
URL:		http://www.mysql.com/downloads/api-jdbc-stable.html
BuildRoot: 	%{_tmppath}/%{name}-root
BuildArch: 	noarch
Requires:   	jta >= 0:1.0.1-0.a.1
BuildRequires:	java-devel >= 0:1.4.0
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	jta >= 0:1.0.1-0.a.1
BuildRequires:	junit
Provides:	mm.mysql
Obsoletes:	mm.mysql

%description
Official JDBC driver for MySQL

%prep
%setup -q -n %{name}-%{tarversion}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

%build
# clean-up dirty stuff
export CLASSPATH=%(build-classpath jdbc-stdext jta junit)
ant -DbuildDir=%{builddir} -DdistDir=%{distdir}

%install
rm -rf $RPM_BUILD_ROOT

#install -d -m 755 $RPM_BUILD_ROOT%{_javadir}-1.4.1
#install -m 644 %{builddir}/%{name}-%{tarversion}/%{name}-%{tarversion}-bin.jar $RPM_BUILD_ROOT%{_javadir}-1.4.1/%{name}-%{version}.jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{builddir}/%{name}-%{tarversion}/%{name}-%{tarversion}-bin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

# jar versioning and compat symlinks
#pushd $RPM_BUILD_ROOT%{_javadir}-1.4.1/
#   for jar in *-%{version}.jar ; do
#      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|.jar|g")
#   done
#   for jar in %{name}*.jar ; do
#      ln -fs ${jar} $(echo $jar | sed "s|%{name}|mm.mysql|g")
#   done
#popd
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc CHANGES COPYING README
#%attr(0755,root,root) %dir %{_javadir}-1.4.1
%attr(0755,root,root) %dir %{_javadir}
#%attr(0644,root,root) %{_javadir}-1.4.1/*.jar
%attr(0644,root,root) %{_javadir}/*.jar

%changelog
* Mon Jul 07 2003 Henri Gomez <hgomez@users.sourceforge.net> 3.0.8.2jpp
- mysql-connector-j 3.0.8
- jar goes back in /usr/share/java

* Sun May 11 2003 David Walluck <david@anti-microsoft.org> 0:3.0.6-2jpp
- update for JPackage 1.5

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 3.0.6-1jpp
- For jpackage-utils 1.5
- New project name
- Requires java >= 1.4.1

* Thu Jun 06 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0.14.1jpp
- mm.mysql 2.0.14

* Tue May 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0.13.1jpp
- mm.mysql 2.0.13

* Tue Mar 26 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0.11.2jpp
- correct changelog

* Mon Feb 04 2002 Henri Gomez <hgomez@users.sourceforge.net>
- mm.mysql 2.0.11

* Thu Jan 17 2002 Henri Gomez <hgomez@users.sourceforge.net>
- mm.mysql 2.0.8
- seriously patch build.xml to make it compile on Linux boxes
  with both JDK 1.2/1.3 and 1.1
- added javadoc generation to build.xml
- changed manual to javadoc package

* Tue Feb 06 2001 Henri Gomez <hgomez@users.sourceforge.net>
- mm.mysql 2.0.4
- Fixes to getDecimal to fix decimal place wrong bug

* Mon Jan 15 2001 Henri Gomez <hgomez@users.sourceforge.net>
- Initial release mm.mysql 2.0.3
- detect jdbc-2.0 extension jar (javax.sql) and if present
  also build MysqlDataSource and MysqlDataSourceFactory
- build with IBM JDK 1.3.0 (cx130-20001114) and jikes 1.12
- build CLASSPATH=/usr/share/java/jdbc2_0-stdext.jar

